Bug 995431 - GUI freezes on StorageNodes page
GUI freezes on StorageNodes page
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER04
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
: Reopened
: 1002011 1002236 (view as bug list)
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-08-09 06:58 EDT by Filip Brychta
Modified: 2014-01-02 15:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:36:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-08-09 06:58:38 EDT
Description of problem:
GUI becomes unresponsible when visiting StorageNodes page.

Version-Release number of selected component (if applicable):
Version: 4.9.0-SNAPSHOT
Build Number: 9632b96

Firefox:18.0.2

How reproducible:
50%

Steps to Reproduce:
1. install clean rhq
2. go to Administration->Topology-Storage Nodes


Actual results:
GUI becomes unresponsible


Additional info:
refresh of the page fixes the issue
Comment 1 Jirka Kremser 2013-08-28 14:22:53 EDT
*** Bug 1002011 has been marked as a duplicate of this bug. ***
Comment 2 Jirka Kremser 2013-08-28 14:32:04 EDT
repro steps described in bug 1002011

branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=9077f825a
time:    2013-08-28 20:26:36 +0200
commit:  9077f825a0833d198d4ab436634a4b78c93d8d33
author:  Jirka Kremser - jkremser@redhat.com
note:    !@$$@#@.. nasty bug (took me 7 hours to find it)
message: [BZ 995431] - GUI freezes on StorageNodes page - There was a hidden
         tricky loop when comming from diferent admin section.
         (setContent() called addChild() that called component's
         renderView() that called ... that called ... that called
         setContent() again.)
Comment 3 Filip Brychta 2013-08-29 03:57:35 EDT
Verified on 
Version: 4.9.0-SNAPSHOT
Build Number: e3e001b
Comment 4 Jirka Kremser 2013-08-30 10:53:12 EDT
*** Bug 1002236 has been marked as a duplicate of this bug. ***
Comment 5 Heiko W. Rupp 2013-09-24 15:09:05 EDT
Bulk closing of RHQ 4.9 verified items
Comment 6 Mike Foley 2013-10-08 17:08:31 EDT
reopening.  

same behavior in ER3.  

observed by both mfoley and stefan

<mfoley> i am 3 for 3
<mfoley> i click on that 
<mfoley> click away
<mfoley> click back
<mfoley> let me get the exact steps 
<mfoley> http://10.16.23.193:7080/coregui/
<mfoley> http://10.16.23.193:7080/coregui/#Administration
<mfoley> http://10.16.23.193:7080/coregui/#Administration/Topology/StorageNodes
<mfoley> http://10.16.23.193:7080/coregui/#Administration/Topology/StorageNodes/Settings
<mfoley> http://10.16.23.193:7080/coregui/#Administration/Topology/Servers
<mfoley> http://10.16.23.193:7080/coregui/#Administration/Topology/StorageNodes
<mfoley> hang

4 for 4.

<stefan_n> mfoley, ohhh now I see
Comment 8 Jirka Kremser 2013-10-09 06:20:13 EDT
The bug is fixed in the latest version. I was able to reproduce it on http://10.16.23.193:7080/coregui/ though. This is because it is an old Alpha version of JON and not the ER3.

The build number here is adad71f (commit from Tue Aug 20 22:02:58 2013 +0200)
but my change (9077f82) went in on Wed Aug 28 20:26:22 2013 +0200

I'll move this bug to ON_QA to ensure it is fixed in ER3.
Comment 9 Filip Brychta 2013-10-09 06:56:17 EDT
Verified on 
Version: 3.2.0.ER3
Build Number: c0742ed:cbad264

Note You need to log in before you can comment on or make changes to this bug.